require "g5_client_notifications_url/version"
require "g5_heroku_app_name_formatter"

module G5ClientNotificationsUrl
  NOTIFICATIONS_ROUTE = 'notifications'

  class << self
    def build(uid)
      return '' if uid.nil? || uid.empty?

      "#{dsh_url(uid)}/#{NOTIFICATIONS_ROUTE}"
    end

    private

    def urn(uid)
      uid.split('/').last
    end

    def dsh_url(uid)
      G5HerokuAppNameFormatter::Formatter.new(urn(uid), ['dsh']).dsh_url
    end
  end
end

